/**
 * 
 */
package org.gcube.portlets.admin.accountingmanager.client.resource;


import com.google.gwt.core.client.GWT;
import com.google.gwt.resources.client.ClientBundle;
import com.google.gwt.resources.client.ImageResource;


/**
 * 
 * @author "Giancarlo Panichi" <a
 *         href="mailto:g.panichi@isti.cnr.it">g.panichi@isti.cnr.it</a>
 *
 */
public interface AccountingManagerResources extends ClientBundle {

	public static final AccountingManagerResources INSTANCE = GWT
			.create(AccountingManagerResources.class);
	
	@Source("AccountingManager.css")
	AccountingManagerCSS accountingManagerCSS();
	
	
	@Source("accounting-manager_128.png")
	ImageResource accountingManager128();

	@Source("accounting-storage_128.png")
	ImageResource accountingStorage128();
	
	@Source("accounting-service_128.png")
	ImageResource accountingService128();
	
	@Source("accounting-portlet_128.png")
	ImageResource accountingPortlet128();

	@Source("accounting-task_128.png")
	ImageResource accountingTask128();

	@Source("accounting-job_128.png")
	ImageResource accountingJob128();
	
	@Source("accounting-manager_48.png")
	ImageResource accountingManager48();

	@Source("accounting-storage_48.png")
	ImageResource accountingStorage48();
	
	@Source("accounting-service_48.png")
	ImageResource accountingService48();
	
	@Source("accounting-portlet_48.png")
	ImageResource accountingPortlet48();

	@Source("accounting-task_48.png")
	ImageResource accountingTask48();

	@Source("accounting-job_48.png")
	ImageResource accountingJob48();
	
	@Source("accounting-manager_32.png")
	ImageResource accountingManager32();

	@Source("accounting-storage_32.png")
	ImageResource accountingStorage32();
	
	@Source("accounting-service_32.png")
	ImageResource accountingService32();
	
	@Source("accounting-portlet_32.png")
	ImageResource accountingPortlet32();

	@Source("accounting-task_32.png")
	ImageResource accountingTask32();

	@Source("accounting-job_32.png")
	ImageResource accountingJob32();	
	
	@Source("accounting-reload_16.png")
	ImageResource accountingReload16();
	
	@Source("accounting-reload_24.png")
	ImageResource accountingReload24();
	
	@Source("accounting-reload_32.png")
	ImageResource accountingReload32();

}
