package org.gcube.portlets.admin.accountingmanager.server.amservice.query;

import org.gcube.accounting.analytics.TemporalConstraint;
import org.gcube.accounting.datamodel.SingleUsageRecord;

/**
 * 
 * @author giancarlo
 * email: <a href="mailto:g.panichi@isti.cnr.it">g.panichi@isti.cnr.it</a> 
 *
 */
public class AccountingQuery {
	
	private Class<? extends SingleUsageRecord> type;
	private TemporalConstraint temporalConstraint;
	
	
	public AccountingQuery(Class<? extends SingleUsageRecord> type, TemporalConstraint temporalConstraint) {
		super();
		this.type = type;
		this.temporalConstraint = temporalConstraint;
	}


	public Class<? extends SingleUsageRecord> getType() {
		return type;
	}


	public void setType(Class<? extends SingleUsageRecord> type) {
		this.type = type;
	}


	public TemporalConstraint getTemporalConstraint() {
		return temporalConstraint;
	}


	public void setTemporalConstraint(TemporalConstraint temporalConstraint) {
		this.temporalConstraint = temporalConstraint;
	}


	@Override
	public String toString() {
		return "AccountingQuery [type=" + type + ", temporalConstraint="
				+ temporalConstraint + "]";
	}


	


	
	
	
	
}
