package org.gcube.portlets.admin.accountingmanager.shared.data.query;

import java.io.Serializable;

import org.gcube.portlets.admin.accountingmanager.shared.data.AccountingPeriod;

/**
 * 
 * @author giancarlo
 * email: <a href="mailto:g.panichi@isti.cnr.it">g.panichi@isti.cnr.it</a> 
 *
 */
public class SeriesRequest implements Serializable {

	private static final long serialVersionUID = -109538024097615414L;
	private AccountingPeriod accountingPeriod;

	public SeriesRequest() {
		super();
	}
	
	public SeriesRequest(AccountingPeriod accountingPeriod) {
		super();
		this.accountingPeriod = accountingPeriod;
	}

	public AccountingPeriod getAccountingPeriod() {
		return accountingPeriod;
	}

	public void setAccountingPeriod(AccountingPeriod accountingPeriod) {
		this.accountingPeriod = accountingPeriod;
	}


	@Override
	public String toString() {
		return "SeriesRequest [accountingPeriod=" + accountingPeriod + "]";
	}

	
	
	
}
