package org.gcube.portlets.admin.accountingmanager.shared.data;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * @author giancarlo
 * email: <a href="mailto:g.panichi@isti.cnr.it">g.panichi@isti.cnr.it</a> 
 *
 */
public class AccountingPeriod implements Serializable {

	private static final long serialVersionUID = 4241461469179338817L;
	
	private Date startDate;
	private Date endDate;
	private AccountingPeriodMode period;
	
	public AccountingPeriod(){
		super();
	}
	
	public AccountingPeriod(Date startDate, Date endDate,
			AccountingPeriodMode period) {
		super();
		this.startDate = startDate;
		this.endDate = endDate;
		this.period = period;
	}

	public Date getStartDate() {
		return startDate;
	}

	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

	public AccountingPeriodMode getPeriod() {
		return period;
	}

	public void setPeriod(AccountingPeriodMode period) {
		this.period = period;
	}

	@Override
	public String toString() {
		return "AccountingPeriod [startDate=" + startDate + ", endDate="
				+ endDate + ", period=" + period + "]";
	}

	

	
}
